CardException (Java SE 17 & JDK 17)
Description: declaration: module: java.smartcardio, package: javax.smartcardio, class: CardException
Keywords: javax.smartcardio.CardException class

Module java.smartcardio
Package javax.smartcardio

# Class CardException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.smartcardio.CardException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CardNotPresentException`

public class CardException extends Exception
Exception for errors that occur during communication with the Smart Card stack or the card itself.

Since:
  1.6
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardException(String message)`
  Constructs a new CardException with the specified detail message.
  `CardException(String message, Throwable cause)`
  Constructs a new CardException with the specified detail message and cause.
  `CardException(Throwable cause)`
  Constructs a new CardException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CardException

    public CardException(String message)
    Constructs a new CardException with the specified detail message.
    Parameters:
      `message` - the detail message

  - ### CardException

    public CardException(Throwable cause)
    Constructs a new CardException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.
    Parameters:
      `cause` - the cause of this exception or null

  - ### CardException

    public CardException(String message, Throwable cause)
    Constructs a new CardException with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause of this exception or null